// Converts raw data from ff14-fish-tracker to JSON files that we can use with Serde.
// The only thing that manually needs to be done is to export the variables from said files.
// Run using `node convert-to-json.js`.

import { DATA } from "./data.js";
import { FISH_INFO } from "./fish_data.js";
import fs from "node:fs/promises";

const result = {
  db_data: DATA,
  fish_entries: FISH_INFO,
};

const json = JSON.stringify(result);

await fs.writeFile("data.json", json, { encoding: "utf8" });
